/*
	Licensed Material - Property of IBM

	(C) Copyright 2016 IBM Corp.

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/


'use strict';

var log = require('npmlog');
var path = require('path');
//private
var encrypt = require('./encrypt');

/**
 * actually do the work of the command
 */
module.exports.run = function(argv) {
  log.level = global.MDO_CLI_LOG_LEVEL ? global.MDO_CLI_LOG_LEVEL : log.level;

  return encrypt(argv);
};

/**
 * print command specific help to the console
 */
module.exports.help = function() {
  return path.resolve(__dirname, '..', 'doc', 'encrypt.txt');
};
